Namespaces - Get Latest Report

Get the most recently generated report of the given type and target without triggering a new report generation.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DeviceRegistry/namespaces/{namespaceName}/getLatestReport?api-version=2026-11-02-preview

URI Parameters

Name In Required Type Description
namespaceName
path True

string

minLength: 3
maxLength: 64
pattern: ^[a-z0-9][a-z0-9-]*[a-z0-9]$

The name of the namespace.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

The request body can be one of the following:

Name Description
GroupBestUpdatesComplianceReportRequest

Request to generate a GroupBestUpdates compliance report.

GroupInstallableUpdatesReportRequest

Request to generate a GroupInstallableUpdates report.

NamespaceUpdateComplianceReportRequest

Request to generate a NamespaceUpdateCompliance report.

GroupBestUpdatesComplianceReportRequest

Request to generate a GroupBestUpdates compliance report.

Name Required Type Description
reportTarget True

string

The group that the report is generated against.

reportType True string:

GroupBestUpdatesComplianceReport

The type of report.

GroupInstallableUpdatesReportRequest

Request to generate a GroupInstallableUpdates report.

Name Required Type Description
reportTarget True

string

The group that the report is generated against.

reportType True string:

GroupInstallableUpdatesReport

The type of report.

NamespaceUpdateComplianceReportRequest

Request to generate a NamespaceUpdateCompliance report.

Name Required Type Description
reportType True string:

NamespaceUpdateComplianceReport

The type of report.

reportTarget

string

The target of this report (e.g. group resource).

Responses

Name Type Description
200 OK Report:

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Get the latest group best-updates compliance report
Get the latest group installable-updates report
Get the latest namespace update compliance report

Get the latest group best-updates compliance report

Sample request

POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.DeviceRegistry/namespaces/my-namespace-1/getLatestReport?api-version=2026-11-02-preview

{
  "reportTarget": "my-group-1",
  "reportType": "GroupBestUpdatesComplianceReport"
}

Sample response

{
  "bestUpdates": [
    {
      "devicesNotOnBestUpdateCount": 8,
      "targetDevices": {
        "agentProfile": 1,
        "compatProperties": {
          "manufacturer": "Contoso",
          "model": "Sensor-X"
        }
      },
      "updateResourceId": "updates/providers/contoso/names/windowsApp/versions/1.0"
    }
  ],
  "expiresAt": "2026-05-28T20:59:51Z",
  "generatedAt": "2026-04-28T20:59:51Z",
  "reportTarget": "my-group-1",
  "reportType": "GroupBestUpdatesComplianceReport",
  "updateCompliance": {
    "bestUpdateAvailableDeviceCount": 8,
    "devicesInProgressOnBestUpdate": 2,
    "onBestUpdateDeviceCount": 40,
    "totalNotUpdateableDeviceCount": 3,
    "totalUpdateableDeviceCount": 50
  }
}

Get the latest group installable-updates report

Sample request

POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.DeviceRegistry/namespaces/my-namespace-1/getLatestReport?api-version=2026-11-02-preview

{
  "reportType": "GroupInstallableUpdatesReport",
  "reportTarget": "my-group-1"
}

Sample response

{
  "reportType": "GroupInstallableUpdatesReport",
  "reportTarget": "my-group-1",
  "generatedAt": "2026-04-28T20:59:51Z",
  "expiresAt": "2026-05-28T20:59:51Z",
  "installableUpdatesAndTargetDevices": [
    {
      "targetDevices": {
        "compatProperties": {
          "manufacturer": "Contoso",
          "model": "Sensor-X"
        },
        "agentProfile": 1
      },
      "installableUpdates": [
        {
          "updateResourceId": "updates/providers/contoso/names/windowsApp/versions/2.1.0"
        },
        {
          "updateResourceId": "updates/providers/contoso/names/windowsApp/versions/2.0.0"
        }
      ]
    }
  ]
}

Get the latest namespace update compliance report

Sample request

POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.DeviceRegistry/namespaces/my-namespace-1/getLatestReport?api-version=2026-11-02-preview

{
  "reportType": "NamespaceUpdateComplianceReport"
}

Sample response

{
  "reportType": "NamespaceUpdateComplianceReport",
  "generatedAt": "2026-04-28T20:59:51Z",
  "expiresAt": "2026-05-28T20:59:51Z",
  "totalUpdateableDeviceCount": 120,
  "onLatestUpdateDeviceCount": 95,
  "newUpdatesAvailableDeviceCount": 20,
  "updatesInProgressDeviceCount": 5,
  "totalNotUpdateableDeviceCount": 8
}

Definitions

Name Description
BestUpdate

A best-available update for a subset of devices in the group.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

GroupBestUpdatesComplianceReport

Result of a GroupBestUpdates compliance report.

GroupBestUpdatesComplianceReportRequest

Request to generate a GroupBestUpdates compliance report.

GroupInstallableUpdatesReport

Result of a GroupInstallableUpdates report.

GroupInstallableUpdatesReportRequest

Request to generate a GroupInstallableUpdates report.

GroupUpdateCompliance

Group-level update compliance counters.

InstallableUpdate

An installable update represented as a resource URI.

InstallableUpdatesForTargetDevices

The set of installable updates available for a class of target devices in the group.

NamespaceUpdateComplianceReport

Result of a NamespaceUpdateCompliance report.

NamespaceUpdateComplianceReportRequest

Request to generate a NamespaceUpdateCompliance report.

ReportType

The type of report.

TargetDevices

Criteria selecting which devices an update targets.

BestUpdate

A best-available update for a subset of devices in the group.

Name Type Description
devicesNotOnBestUpdateCount

integer (int32)

The number of devices in the group that target this update but are not yet running it.

targetDevices

TargetDevices

The devices that this update targets.

updateResourceId

string

The URI of the best-available update for the targeted devices.

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

GroupBestUpdatesComplianceReport

Result of a GroupBestUpdates compliance report.

Name Type Description
bestUpdates

BestUpdate[]

The best-available updates for devices in the group. May be empty.

expiresAt

string (date-time)

The UTC timestamp at which the report will no longer be retained and available.

generatedAt

string (date-time)

The UTC timestamp at which the report was generated.

reportTarget

string

The group that this report was generated against.

reportType string:

GroupBestUpdatesComplianceReport

The type of report.

updateCompliance

GroupUpdateCompliance

Group-level update compliance counters.

GroupBestUpdatesComplianceReportRequest

Request to generate a GroupBestUpdates compliance report.

Name Type Description
reportTarget

string

The group that the report is generated against.

reportType string:

GroupBestUpdatesComplianceReport

The type of report.

GroupInstallableUpdatesReport

Result of a GroupInstallableUpdates report.

Name Type Description
expiresAt

string (date-time)

The UTC timestamp at which the report will no longer be retained and available.

generatedAt

string (date-time)

The UTC timestamp at which the report was generated.

installableUpdatesAndTargetDevices

InstallableUpdatesForTargetDevices[]

Installable updates grouped by the devices they target. May be empty.

reportTarget

string

The group that this report was generated against.

reportType string:

GroupInstallableUpdatesReport

The type of report.

GroupInstallableUpdatesReportRequest

Request to generate a GroupInstallableUpdates report.

Name Type Description
reportTarget

string

The group that the report is generated against.

reportType string:

GroupInstallableUpdatesReport

The type of report.

GroupUpdateCompliance

Group-level update compliance counters.

Name Type Description
bestUpdateAvailableDeviceCount

integer (int32)

Number of updateable devices for which a better update is available but not yet applied.

devicesInProgressOnBestUpdate

integer (int32)

Number of updateable devices currently being updated to the best available update.

onBestUpdateDeviceCount

integer (int32)

Number of updateable devices that are currently on the best available update.

totalNotUpdateableDeviceCount

integer (int32)

Total number of devices in the group that are not eligible for updates.

totalUpdateableDeviceCount

integer (int32)

Total number of devices in the group that are eligible for updates.

InstallableUpdate

An installable update represented as a resource URI.

Name Type Description
updateResourceId

string

The URI of the installable update.

InstallableUpdatesForTargetDevices

The set of installable updates available for a class of target devices in the group.

Name Type Description
installableUpdates

InstallableUpdate[]

The updates that can be installed on the targeted devices.

targetDevices

TargetDevices

The devices that this set of updates targets.

NamespaceUpdateComplianceReport

Result of a NamespaceUpdateCompliance report.

Name Type Description
expiresAt

string (date-time)

The UTC timestamp at which the report will no longer be retained and available.

generatedAt

string (date-time)

The UTC timestamp at which the report was generated.

newUpdatesAvailableDeviceCount

integer (int32)

Number of updateable devices for which a newer update is available but not yet applied.

onLatestUpdateDeviceCount

integer (int32)

Number of updateable devices that are currently on the latest available update.

reportTarget

string

The scope the report was generated against.

reportType string:

NamespaceUpdateComplianceReport

The type of report.

totalNotUpdateableDeviceCount

integer (int32)

Total number of devices in the namespace that are not eligible for updates.

totalUpdateableDeviceCount

integer (int32)

Total number of devices in the namespace that are eligible for updates.

updatesInProgressDeviceCount

integer (int32)

Number of updateable devices currently being updated to the latest available update.

NamespaceUpdateComplianceReportRequest

Request to generate a NamespaceUpdateCompliance report.

Name Type Description
reportTarget

string

The target of this report (e.g. group resource).

reportType string:

NamespaceUpdateComplianceReport

The type of report.

ReportType

The type of report.

Value Description
NamespaceUpdateComplianceReport

Compliance report describing the updating state of devices in the namespace.

GroupBestUpdatesComplianceReport

Report describing the best available updates and update compliance for the devices within a group.

GroupInstallableUpdatesReport

Report listing the installable updates for the devices within a group.

TargetDevices

Criteria selecting which devices an update targets.

Name Type Description
agentProfile

integer (int32)

The agent profile that the targeted devices must implement.

compatProperties

object

Free-form compatibility properties (e.g. manufacturer, model) used to match devices.